<template>
  <div id="app">
    <beatsaver></beatsaver>
    <router-view></router-view>
  </div>
</template>

<script>
require('./css/fontello.css');
import Beatsaver from './components/BeatSaver.vue';
import Beat from './components/Beat.vue';
import Detail from './components/Detail.vue';

export default {
  name: 'app',
  components: {
    Beatsaver,
    Beat,
    Detail
  }
}
</script>

<style>

  body {
    margin:0;
    width: 100%;
    height: 100%;
    background-color: #0a1925;

    background-image: url("./assets/bg.jpg");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
  }

  #app {
    font-family: 'Avenir', Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

</style>
